For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • GETGet Message
      • GETGet Session Key
      • GETVerify Token
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceAuthentication

Get Message

GET
https://api-sandbox.coinflow.cash/api/auth
GET
/api/auth
$curl https://api-sandbox.coinflow.cash/api/auth \
> -H "x-coinflow-auth-wallet: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "message": "Please sign this message to authenticate your wallet for CoinFlow access.",
3 "transaction": "0x5f2b3a9c4d7e8f1234567890abcdef1234567890abcdef1234567890abcdef12"
4}
Get the message for the user's wallet to sign.
Was this page helpful?

Get Session Key

Next
Built with

Authentication

x-coinflow-auth-walletstring

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-blockchainstring

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Response

Ok
messagestring
transactionstring